<ng-container *ngIf="!_loading">
  <div class="container device">
    <div class="row">
      <h4>Details {{_device.name}} <app-device-type-icon [type]="_device.type"></app-device-type-icon></h4>
    </div>
    <div class="row">
      <ul class="list-group">
        <li class="list-group-item">
          <div>Prop 1</div>
          <h5>{{_device.property1}}</h5>
        </li>
        <li class="list-group-item">
          <div>Prop 2</div>
          <h5>{{_device.property2}}</h5>
        </li>
        <li class="list-group-item">
          <div>Prop 3</div>
          <h5>{{_device.property3}}</h5>
        </li>
      </ul>
    </div>
    <div class="row mt-5">
      <button class="btn btn-default" (click)="_showPopup = true">Edit</button>
    </div>
  </div>
  <div class="modal" tabindex="-1" role="dialog" [style.display]="'block'" [hidden]="!_showPopup">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title">Edit Device</h5>
          <button type="button" class="close" (click)="_showPopup = false" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <div class="form-group">
            <label>Name</label>
            <input type="text" class="form-control" [value]="_device.name" #inputName>
          </div>
          <div class="form-group">
            <label>Property 1</label>
            <input type="text" class="form-control" [value]="_device.property1" #inputProp1>
          </div>
          <div class="form-group">
            <label>Property 3 live</label>
            <input type="text" class="form-control" [(ngModel)]="_device.property3" #inputProp2>
          </div>
        </div>
        <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="_showPopup = false">Close</button>
        <button type="button" class="btn btn-primary" (click)="_saveDevice(inputName.value, inputProp1.value); _showPopup = false" >Save changes</button>
        </div>
      </div>
    </div>
  </div>
</ng-container>

